com.sun.jdi.connect

## Class TransportTimeoutException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.sun.jdi.connect.TransportTimeoutException

All Implemented Interfaces:
  Serializable

    public class TransportTimeoutException
    extends IOException

This exception may be thrown as a result of a timeout when attaching to a target VM, or waiting to accept a connection from a target VM.

When attaching to a target VM, using `attach` this exception may be thrown if the connector supports a timeout `connector argument`. Similiarly, when waiting to accept a connection from a target VM, using `accept` this exception may be thrown if the connector supports a timeout connector argument when accepting.

In addition, for developers creating `TransportService` implementations this exception is thrown when `attach` times out when establishing a connection to a target VM, or `accept` times out while waiting for a target VM to connect.

Since:
  1.5
See Also:
  `AttachingConnector.attach(java.util.Map<java.lang.String, ? extends com.sun.jdi.connect.Connector.Argument>)`, `ListeningConnector.accept(java.util.Map<java.lang.String, ? extends com.sun.jdi.connect.Connector.Argument>)`, `TransportService.attach(java.lang.String, long, long)`, `TransportService.accept(com.sun.jdi.connect.spi.TransportService.ListenKey, long, long)`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TransportTimeoutException()` Constructs a `TransportTimeoutException` with no detail message.
`TransportTimeoutException(String message)` Constructs a `TransportTimeoutException` with the specified detail message.

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TransportTimeoutException

    public TransportTimeoutException()

Constructs a `TransportTimeoutException` with no detail message.

#### TransportTimeoutException

    public TransportTimeoutException(String message)

Constructs a `TransportTimeoutException` with the specified detail message.

Parameters:
  `message` - the detail message pertaining to this exception.

Copyright © 1999, 2014, Oracle and/or its affiliates. All rights reserved.